Index: trunk/LMDZ.TITAN/libf/muphytitan/argparse.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/argparse.F90	(revision 3082)
+++ trunk/LMDZ.TITAN/libf/muphytitan/argparse.F90	(revision 3083)
@@ -1020,16 +1049,16 @@
         IF (this%args(i)%nrec < nv) THEN
           err = ac_fmt_val_err(this%args(i),-18) ! extra values
-        ELSE 
+        ELSE
           err = ac_fmt_val_err(this%args(i),-17) ! missing values
         ENDIF
-      ENDIF 
+      ENDIF
     ENDDO
     IF (err /= 0) this%parsed = 0
     RETURN
-  END FUNCTION ap_parse_options 
+  END FUNCTION ap_parse_options
 
   FUNCTION ap_parse_positionals(this,cmd) RESULT(err)
     !! Parse positional arguments of the internal command line
-    !! This (internal) function manages the parsing of the command line positional arguments. 
+    !! This (internal) function manages the parsing of the command line positional arguments.
     OBJECT(argparser), INTENT(inout) :: this
       !! An argparser object reference
@@ -1044,5 +1073,5 @@
 
     ! no positional required but current word is valid
-    ! Either : no positional required but valid element is present 
+    ! Either : no positional required but valid element is present
     !     Or : positional required but no valid element is present
     IF ((this%have_posal.AND..NOT.words_valid(cmd)) .OR. &
@@ -1054,5 +1083,5 @@
     CALL words_clear(this%posals%values)
     this%posals%fnd = .true.
-    DO 
+    DO
       na = words_length(this%posals%values)
       IF (words_valid(cmd)) THEN
@@ -1090,6 +1119,6 @@
     !! Fill an argument with values
     !!
-    !! The function parses remaining parts of the command line from the position of 
-    !! the given argument and attempts to retrieve its value(s) (if any). 
+    !! The function parses remaining parts of the command line from the position of
+    !! the given argument and attempts to retrieve its value(s) (if any).
     !! Several tests are performed and may raise errors. The function always stops
     !! at the first error encountered which can be one of the following :
@@ -1103,8 +1132,8 @@
       !! The command line
     TYPE(argc), INTENT(inout), TARGET :: arg
-      !! An argc object reference with the argument currently processed. 
+      !! An argc object reference with the argument currently processed.
     TYPE(error) :: err
       !! Error object with the first error encountered in the process
-    INTEGER                       :: ca, isopt, itmp 
+    INTEGER                       :: ca, isopt, itmp
     LOGICAL                       :: ltmp
     CHARACTER(len=:), ALLOCATABLE :: elt
@@ -1126,14 +1155,14 @@
       IF (arg%paction == ap_count) THEN
         elt = words_pop(arg%values)
-        READ(elt,*) itmp ; itmp = itmp + 1 
+        READ(elt,*) itmp ; itmp = itmp + 1
         CALL words_append(arg%values,TO_STRING(itmp))
-      ELSE IF (arg%ptype == ap_logical) THEN 
+      ELSE IF (arg%ptype == ap_logical) THEN
         elt = words_pop(arg%values)
-        READ(elt,*) ltmp 
+        READ(elt,*) ltmp
         CALL words_append(arg%values,TO_STRING(.NOT.ltmp))
       ENDIF
     ELSE
       ! For any other case, the algorithm is quite simple :
-      ! We consume tokens of the command-line until either the end or 
+      ! We consume tokens of the command-line until either the end or
       ! the next option (or '--' separator)
       ! When the exit condition is met we perform some tests based on the
@@ -1155,7 +1184,7 @@
           !    1) we have consumed all argument of command line
           !    2) current argument is not a value !
-          !    3) current argument the separator '--' 
+          !    3) current argument the separator '--'
           IF (isopt <= 0 .OR. TRIM(elt)=='--') CALL words_previous(cmd)
-          IF (arg%nrec == -2 .AND. words_length(arg%values) == 0) & 
+          IF (arg%nrec == -2 .AND. words_length(arg%values) == 0) &
             err = ac_fmt_val_err(arg,-17)
           IF (arg%paction /= ap_append .AND. arg%nrec > 0 .AND. ca /= arg%nrec) &
@@ -1178,12 +1207,12 @@
   END FUNCTION ap_fill_argument
 
-  FUNCTION ap_split_cmd(this,string,new_cmd,rhelp) RESULT(err) 
+  FUNCTION ap_split_cmd(this,string,new_cmd,rhelp) RESULT(err)
     !! Preprocess the command line
-    !! The function reads and splits the given string so merged options/values 
+    !! The function reads and splits the given string so merged options/values
     !! are splitted and saves the resulting string elements in a list of words.
     !! @warning
     !! For compilers that does not support allocatable strings in derived types,
     !! computation are highly dependent of [[string_op(module):st_slen(variable):
-    !! tokens length are limited by this parameter. 
+    !! tokens length are limited by this parameter.
     IMPLICIT NONE
     OBJECT(argparser), INTENT(in) :: this
@@ -1193,5 +1222,5 @@
     TYPE(words), INTENT(out)      :: new_cmd
       !! An output [[string_op(module):words(type)]] object with the processed command line
-    LOGICAL, INTENT(out)          :: rhelp   
+    LOGICAL, INTENT(out)          :: rhelp
       !! An output boolean flag with `.true.` if help is requested, `.false.` otherwise
     TYPE(error) :: err
@@ -1199,9 +1228,9 @@
     INTEGER                       :: isopt,j,tl,res
     CHARACTER(len=:), ALLOCATABLE :: elt
-    TYPE(words)                   :: splitted 
+    TYPE(words)                   :: splitted
     INTEGER                       :: arg_idx
     err = noerror ; rhelp = .false.
     IF (LEN_TRIM(string) == 0) THEN
-      err = error('internal error (empty string)',-255) 
+      err = error('internal error (empty string)',-255)
       RETURN
     ENDIF
@@ -1218,8 +1247,8 @@
           res = ap_check_string(this,"-"//elt(j:j),arg_idx)
           ! great we have another short option flag
-          IF (res == -1 .AND. arg_idx /= -1) THEN ! another short option ! 
+          IF (res == -1 .AND. arg_idx /= -1) THEN ! another short option !
             rhelp = (this%args(arg_idx)%paction == ap_help.OR.rhelp)
             ! we must not set some argument's values here  for help argument
-            ! if auto is not set the parse method will disable the option 
+            ! if auto is not set the parse method will disable the option
             ! during next! parsing process
             CALL words_append(new_cmd,"-"//elt(j:j))
@@ -1237,5 +1266,5 @@
         rhelp = (this%args(arg_idx)%paction == ap_help.OR.rhelp)
         ! we must not set some argument's values here for help argument
-        ! if auto is not set the parse method will disable the option during 
+        ! if auto is not set the parse method will disable the option during
         ! next parsing process
         CALL words_append(new_cmd,TRIM(elt))
@@ -1247,5 +1276,5 @@
     RETURN
   END FUNCTION ap_split_cmd
-   
+
   FUNCTION ap_check_string(this,string,idx) RESULT(ret)
     !! Check if a string is an option flag
@@ -1259,5 +1288,5 @@
     INTEGER, INTENT(out), OPTIONAL             :: idx
       !! An optional output intger with the index of the afferent argument in the parser (-1 if not found)
-    INTEGER :: ret 
+    INTEGER :: ret
       !! Return code with the following possible values:
       !! - -1 if the string is a SHORT option flag
@@ -1272,5 +1301,5 @@
     ! The combination of the (optional) output index and the return code
     ! allows to check if an option is known or not
-    ret = 1 
+    ret = 1
     ! '--' is special : it is a separator that is seen as a value.
     IF (TRIM(string) == '--') RETURN
@@ -1303,5 +1332,5 @@
     CHARACTER(len=:), ALLOCATABLE :: copt,spc,opts,text
     INTEGER                       :: i,j,ia,optmw,i1,io,n,zw,zh
-    IF (this%width == 0) CALL fs_termsize(zh,this%width) 
+    IF (this%width == 0) CALL fs_termsize(zh,this%width)
     zw = this%width
     ! Sets usage
@@ -1312,5 +1341,5 @@
     hlp = TRIM(this%usg)//NEW_LINE('A')//NEW_LINE('A')
     ! Sets description
-    IF (LEN_TRIM(this%descr) /= 0) & 
+    IF (LEN_TRIM(this%descr) /= 0) &
       hlp=hlp//getpar(this%descr,zw,2)//NEW_LINE('A')//NEW_LINE('A')
     ! Sets positionals
@@ -1380,13 +1409,13 @@
     !! Format command line usage.
     !!
-    !! The subroutine creates and formats the command line usage of the 
-    !! given argparser object. If [[argparser(type):usg(variable)]] is already set (i.e. not empty) 
-    !! then the method only computes the maximum width of the option part of the usage command 
-    !! (see `optmw` argument description) if needed. In the other case, the method builds the usage 
+    !! The subroutine creates and formats the command line usage of the
+    !! given argparser object. If [[argparser(type):usg(variable)]] is already set (i.e. not empty)
+    !! then the method only computes the maximum width of the option part of the usage command
+    !! (see `optmw` argument description) if needed. In the other case, the method builds the usage
     !! line based on the arguments stored in the parser.
     OBJECT(argparser), INTENT(inout) :: this
       !! An argparser object reference
     INTEGER, INTENT(out), OPTIONAL   :: optmw
-      !! An optional integer with the maximum length of the option part of the usage command. 
+      !! An optional integer with the maximum length of the option part of the usage command.
       !! This variable is intended to set a fancy indentation while printing option in the helper.
     CHARACTER(len=:), ALLOCATABLE :: usage, idts, copt,pgn
@@ -1428,5 +1457,5 @@
           usage = usage(:)//TRIM(copt)
         ENDIF
-      ENDIF 
+      ENDIF
       this%usg = usage
     ELSE
@@ -1439,5 +1468,5 @@
         optmw = omw
       ENDIF
-    ENDIF 
+    ENDIF
   END SUBROUTINE ap_format_usage
 
@@ -1462,8 +1491,10 @@
     IF (ALLOCATED(other%descr)) this%descr = other%descr
     IF (ALLOCATED(other%eplg))  this%eplg  = other%eplg
+    IF (ALLOCATED(other%vers))  this%vers  = other%vers
 #else
     this%usg   = other%usg
     this%descr = other%descr
     this%eplg  = other%eplg
+    this%vers  = other%vers
 #endif
     this%mxhlpos = other%mxhlpos
@@ -1507,6 +1538,6 @@
   FUNCTION ac_equals_arg(this,other) RESULT(ret)
     !! Check if two arguments are identical
-    !! The method checks if two arguments are equal based on their name, short option flag and long 
-    !! option flag.Two arguments are considered equals if at least one of these three members is equal 
+    !! The method checks if two arguments are equal based on their name, short option flag and long
+    !! option flag.Two arguments are considered equals if at least one of these three members is equal
     !! and not empty.
     TYPE(argc), INTENT(in) :: this
@@ -1529,7 +1560,7 @@
     tlf=TRIM(this%lflag) ; olf=TRIM(other%lflag)
 #endif
-    tn=LEN_TRIM(tna) ; on=LEN_TRIM(ona) 
+    tn=LEN_TRIM(tna) ; on=LEN_TRIM(ona)
     tl=LEN_TRIM(tlf) ; ol=LEN_TRIM(olf)
-    ts=LEN_TRIM(tsf) ; os=LEN_TRIM(osf) 
+    ts=LEN_TRIM(tsf) ; os=LEN_TRIM(osf)
     ! check on name :
     ! Returns True if at least of name, sflag and lflag is set to non-empty
@@ -1537,5 +1568,5 @@
     ret = ((tn/=0 .AND. on==tn) .AND. tna == ona) .OR. &
           ((tl/=0 .AND. ol==tl) .AND. tlf == olf) .OR. &
-          ((ts/=0 .AND. os==ol) .AND. tsf == osf) 
+          ((ts/=0 .AND. os==ol) .AND. tsf == osf)
     DEALLOCATE(tna,ona,tsf,osf,tlf,olf)
   END FUNCTION ac_equals_arg
@@ -1543,7 +1574,7 @@
   FUNCTION ac_differs_arg(this,other) RESULT(ret)
     !! Check if two arguments are different
-    !! The method checks if two arguments are different based on their names, short option flag 
+    !! The method checks if two arguments are different based on their names, short option flag
     !! and long option flag.
-    !! @note 
+    !! @note
     !! This function is the extact contrary of [[argparse(module):ac_equals_arg(function)]] !
     TYPE(argc), INTENT(in) :: this
@@ -1558,5 +1589,5 @@
   SUBROUTINE ac_clear_arg_sc(arg)
     !! argc destructor (scalar)
-    !! The subroutine frees all memory used by an argc object and resets its member to 
+    !! The subroutine frees all memory used by an argc object and resets its member to
     !! default values.
     TYPE(argc), INTENT(inout) :: arg
@@ -1606,5 +1637,5 @@
       args(i)%lflag   = ""
 #endif
-    ENDDO 
+    ENDDO
   END SUBROUTINE ac_clear_arg_ve
 
@@ -1622,5 +1653,5 @@
     TYPE(argc), INTENT(in) :: this
       !! An argc object
-    INTEGER :: num 
+    INTEGER :: num
       !! The number of values stored in the argument
     num = words_length(this%values)
@@ -1629,5 +1660,5 @@
   FUNCTION ac_get_usg_opt_str(arg) RESULT(line)
     !! Build and format the option string for the usage part of the help message
-    !! The function is private part of the help builder. It creates the 
+    !! The function is private part of the help builder. It creates the
     !! option string part of a given argument.
     TYPE(argc), INTENT(in), TARGET :: arg
@@ -1661,5 +1692,5 @@
   FUNCTION ac_get_opt_str(arg) RESULT(line)
     !! Build and format the option flag string for the option part of the help message
-    !! The function is private part of the help builder. It creates the 
+    !! The function is private part of the help builder. It creates the
     !! option string part of a given argument for the options part of the help.
     TYPE(argc), INTENT(in), TARGET :: arg
@@ -1701,6 +1732,6 @@
     !! The function formats argparse specific errors when extra (missing) values
     !! are (not) set or when given values are not consistent with argument's type.
-    !! For each of these errors, the basic error is updated with a more precise 
-    !! message. 
+    !! For each of these errors, the basic error is updated with a more precise
+    !! message.
     TYPE(argc), INTENT(in) :: arg
       !! An argc object
@@ -1723,9 +1754,9 @@
         IF (arg%nrec == -2) THEN
           msg = msg//' takes at least '//nv//' value(s))'
-        ELSE 
+        ELSE
           msg = msg//' takes exactly '//nv//' value(s))'
         ENDIF
       CASE (-18) ! extra values -> -18
-        IF (arg%nrec == -3) THEN 
+        IF (arg%nrec == -3) THEN
           msg = msg//' takes at most '//nv//' value(s))'
         ELSE
@@ -1740,8 +1771,8 @@
   FUNCTION ac_check_and_set(this,sf,lf,ty,ac,de,na,meta,check_flag) RESULT(ret)
     !! Interface to all argc's member tests
-    !! The function calls all the tests to perform on argc members. Some of these tests can 
-    !! alter argc's member values to fit argparser's requirements. 
+    !! The function calls all the tests to perform on argc members. Some of these tests can
+    !! alter argc's member values to fit argparser's requirements.
     !!
-    !! On success, `noerror` is returned. Otherwise -9 error code is returned. Errors are only 
+    !! On success, `noerror` is returned. Otherwise -9 error code is returned. Errors are only
     !! produced by misuse of the function arguments. In such case, the program should be
     !! stopped: note that such ezrror should not occur in _released_ programs.
@@ -1763,6 +1794,6 @@
       !! An optional vector of strings with the Meta-name of the values
     LOGICAL, INTENT(in), OPTIONAL                        :: check_flag
-      !! An optional boolean flag hat instructs the method wether to check for option flag 
-      !! or not. By default this test is enabled but it should be disabled if one wants to 
+      !! An optional boolean flag hat instructs the method wether to check for option flag
+      !! or not. By default this test is enabled but it should be disabled if one wants to
       !! check for POSITIONAL arguments as they do not have option flags.
     TYPE(error) :: ret
@@ -1789,18 +1820,18 @@
   FUNCTION ac_check_ac_ty_de_na(this,ac,ty,de,na) RESULT(ret)
     !! Check and set argc's action, type and default value
-    !! The method checks if input argument's options are valid and update the argc object 
-    !! consequently. 
+    !! The method checks if input argument's options are valid and update the argc object
+    !! consequently.
     !!
-    !! On success, `noerror` is returned. Otherwise -9 error code is returned. Errors are only 
+    !! On success, `noerror` is returned. Otherwise -9 error code is returned. Errors are only
     !! produced by misuse of the function arguments.
     TYPE(argc), INTENT(inout)  :: this
       !! An argc object to update
     INTEGER, INTENT(in)          :: ac
-      !! An integer with the action to set and check 
+      !! An integer with the action to set and check
     INTEGER, INTENT(in)          :: ty
       !! An integer with the type to set and check
     CHARACTER(len=*), INTENT(in) :: de
       !! A string with the default value to set and check
-    CHARACTER(len=*), INTENT(in) :: na 
+    CHARACTER(len=*), INTENT(in) :: na
       !! A string with the expected number of value to set and check
     TYPE(error) :: ret
@@ -1810,23 +1841,27 @@
     ret = noerror
     eprf = 'argparse: '//"Invalid argument `"//TRIM(this%name)//"'"
-    uty = error(eprf//" (type)",-9) 
+    uty = error(eprf//" (type)",-9)
     ina = error(eprf//" (inconsistent nargs)",-9)
     zna = TRIM(na)
     ! Checks action
     IF(ANY(ap_actions == ac).OR.ac == ap_undef) THEN
-      this%paction = ac 
+      this%paction = ac
     ELSE
-      ret = error(eprf//" (action)",-9) ; RETURN 
+      ret = error(eprf//" (action)",-9) ; RETURN
     ENDIF
     ! Checks and sets type and default as a function of the action
     SELECT CASE(this%paction)
-      ! HELP: fixed in any case: 
+      ! HELP: fixed in any case:
       CASE(ap_help)
         this%default = 'F'
         this%ptype = ap_logical
         this%nrec = 0
+      ! VERSION: fixed in any case:
+      CASE(ap_version)
+        this%default = 'F'
+        this%ptype = ap_logical
+        this%nrec = 0
       ! COUNT:
-      ! we always use "hard-coded" stuff and do not warn if dev has made
-      ! mistakes...
+      ! we always use "hard-coded" stuff and do not warn if dev has made mistakes...
       CASE(ap_count)
         ! default settings of the count action
@@ -1835,8 +1870,8 @@
         ret = set_def_val()
       ! STORE, APPEND actions
-      CASE (ap_store, ap_append) 
-        ! set type 
+      CASE (ap_store, ap_append)
+        ! set type
         IF (ty == ap_undef) THEN
-          this%ptype= ap_integer 
+          this%ptype= ap_integer
         ELSEIF (ANY(ap_types == ty)) THEN
           this%ptype = ty
@@ -1847,5 +1882,5 @@
         ret = set_def_val() ; IF (ret /= 0) RETURN
         ! check for nargs (if na is empty then we set "*")
-        ret = set_nrec("*") 
+        ret = set_nrec("*")
       ! UNDEFINED:
       !   -> 1) set to action to store
@@ -1855,9 +1890,9 @@
       CASE (ap_undef)
         ! 1) always define store action
-        this%paction = ap_store 
+        this%paction = ap_store
         ! 2) set type and nrec:
         !    2.1) If type is undef:
         !         - to default value type if default is given
-        !         - ap_logical otherwiset type 
+        !         - ap_logical otherwiset type
         !    2.2) set nrec
         !        - if final type is ap_logical set nrec to 0
@@ -1865,5 +1900,5 @@
         If (ty == ap_undef) THEN
           ! no explicit type : define logical trigger first
-          this%ptype = ap_logical ; this%nrec = 0 
+          this%ptype = ap_logical ; this%nrec = 0
           ! icheck the default value given
           IF (LEN_TRIM(de) > 0) THEN
@@ -1873,9 +1908,9 @@
           ENDIF
           IF (this%ptype == ap_logical) THEN
-            ret = set_nrec("0") 
+            ret = set_nrec("0")
           ELSE
-            ret = set_nrec("1") 
+            ret = set_nrec("1")
           ENDIF
-          ret = set_def_val() 
+          ret = set_def_val()
           IF (ret /= 0) RETURN
         ! type is given
@@ -1883,8 +1918,8 @@
           ! known type given :
           !  check default value and nrec: -> if na not given set "*"
-          this%ptype = ty 
+          this%ptype = ty
           ret = set_def_val() ; IF (ret /= 0) RETURN
           IF (this%ptype == ap_logical) THEN
-            ret = set_nrec("0") 
+            ret = set_nrec("0")
           ELSE
             ret = set_nrec("1")
@@ -1892,7 +1927,7 @@
         ELSE
           ! unknown type => bad end !
-          ret = uty ; RETURN 
+          ret = uty ; RETURN
         ENDIF
-    END SELECT 
+    END SELECT
     ! set default value as first value if ret is noerror ....
     IF (ret == 0) CALL words_append(this%values,this%default)
@@ -1904,5 +1939,5 @@
         !! Check and set argument's expected number of records
         !! The method compares `na` value with the expected and known flags and decides
-        !! wether to raise an error or defines nrec member of the argument object. If `na` 
+        !! wether to raise an error or defines nrec member of the argument object. If `na`
         !! is empty then `base` is used.
         CHARACTER(len=1),INTENT(in) :: base
@@ -1921,5 +1956,5 @@
             ! check numeric characters
             IF (VERIFY(zna,"0123456789")==0) READ(zna,*) this%nrec
-            IF (this%nrec == 0) terr = ina 
+            IF (this%nrec == 0) terr = ina
         END SELECT
       END FUNCTION set_nrec
@@ -1927,5 +1962,5 @@
       FUNCTION set_def_val() RESULT(terr)
         !! Check and set argument's default value
-        !! The method compares `de` value with the type already stored in the argument and 
+        !! The method compares `de` value with the type already stored in the argument and
         !! decides wether to raise an error or to save `de` as argument's default value.
         !! If `de` is empty then it sets a default value according to argument's type.
@@ -1935,5 +1970,5 @@
         terr = noerror
         IF (LEN_TRIM(de) /= 0) THEN
-          this%default = de ; t = string_is(de) 
+          this%default = de ; t = string_is(de)
           IF (t /= this%ptype) THEN
             terr = error(eprf//" (inconsistent default value: expected '"// &
@@ -1952,5 +1987,5 @@
         ENDIF
         RETURN
-      END FUNCTION set_def_val 
+      END FUNCTION set_def_val
   END FUNCTION ac_check_ac_ty_de_na
 
@@ -1969,5 +2004,5 @@
     CHARACTER(len=2), INTENT(in) :: sflag
       !! A 2-characters wide string with the short option flag
-    CHARACTER(len=*), INTENT(in) :: lflag 
+    CHARACTER(len=*), INTENT(in) :: lflag
       !! A string (at least 3 characters wide) with the long option flag
     TYPE(error) :: ret
@@ -2017,5 +2052,5 @@
     !! Set meta-variable of the given argc object
     !! The method set meta-variable in the argc object. If no `meta` are given, the method
-    !! uses argument's name to set the values. 
+    !! uses argument's name to set the values.
     !! @warning
     !! To be effective, this subroutine must be called after argparse::chk_opt_nargs
@@ -2042,5 +2077,5 @@
             j=j+1 ; IF (j>ms) j=1
             zmeta = to_upper(meta(j))
-            blk=INDEX(TRIM(zmeta),CHAR(32))-1 
+            blk=INDEX(TRIM(zmeta),CHAR(32))-1
             IF (blk <= 0) blk=LEN_TRIM(zmeta)
             CALL words_append(this%meta,zmeta(1:blk))
@@ -2063,5 +2098,5 @@
   FUNCTION ac_check_value(this,str) RESULT(err)
     !! Check if given string is a valid value for the argument
-    TYPE(argc), INTENT(in)       :: this 
+    TYPE(argc), INTENT(in)       :: this
       !! An argc object reference
     CHARACTER(len=*), INTENT(in) :: str
@@ -2093,5 +2128,5 @@
   FUNCTION ap_get_positional_sc(this,idx,value) RESULT(ret)
     !! Get positional arguments value at given index
-    !! @warning 
+    !! @warning
     !! On error, the status of `value` is undefined.
     OBJECT(argparser), INTENT(in)              :: this
@@ -2100,5 +2135,5 @@
       !! Subscript of the positional argument value to get
     CHARACTER(len=:), INTENT(out), ALLOCATABLE :: value
-      !! Output raw value of the positional. If `idx` is out of range, `value` is set to an 
+      !! Output raw value of the positional. If `idx` is out of range, `value` is set to an
       !! empty string.
     TYPE(error) :: ret
@@ -2117,11 +2152,11 @@
   FUNCTION ap_get_positional_ve(this,values) RESULT(ret)
     !! Get all positional arguments value
-    !! @warning 
+    !! @warning
     !! On error, the status of `values` is undefined.
     OBJECT(argparser), INTENT(in)                                  :: this
       !! An argparser object reference
     CHARACTER(len=st_slen), INTENT(out), ALLOCATABLE, DIMENSION(:) :: values
-      !! An allocatable vector of **assumed length** strings with the value(s) of all 
-      !! positionals arguments found. 
+      !! An allocatable vector of **assumed length** strings with the value(s) of all
+      !! positionals arguments found.
     TYPE(error) :: ret
       !! Error object with the first error encountered in the process
@@ -2532,5 +2567,5 @@
 
   !> Gets a scalar @p REAL(kind=8) value from given argument
-  !! @param[in,out] this An argc object 
+  !! @param[in,out] this An argc object
   !! @param[out] output A scalar with the first value of the argument
   !! @return An errors::error object with -21 if the destination variable's type
@@ -2538,5 +2573,5 @@
   FUNCTION ac_get_dv_sc(this, output) RESULT(ret)
     !! Get a scalar `REAL(kind=8)` value from given argument
-    !! If no error occured, the function always returns at least a value (whatever the parser's 
+    !! If no error occured, the function always returns at least a value (whatever the parser's
     !! state is) which is the default value if no specific values are set in the argument.
     !! Otherwise, `output` value is undefined.
@@ -2563,5 +2598,5 @@
   FUNCTION ac_get_rv_sc(this, output) RESULT(ret)
     !! Get a scalar `REAL(kind=4)` value from given argument
-    !! If no error occured, the function always returns at least a value (whatever the parser's 
+    !! If no error occured, the function always returns at least a value (whatever the parser's
     !! state is) which is the default value if no specific values are set in the argument.
     !! Otherwise, `output` value is undefined.
@@ -2588,5 +2623,5 @@
   FUNCTION ac_get_iv_sc(this, output) RESULT(ret)
     !! Get a scalar `INTEGER` value from given argument
-    !! If no error occured, the function always returns at least a value (whatever the parser's 
+    !! If no error occured, the function always returns at least a value (whatever the parser's
     !! state is) which is the default value if no specific values are set in the argument.
     !! Otherwise, `output` value is undefined.
@@ -2613,5 +2648,5 @@
   FUNCTION ac_get_lv_sc(this, output) RESULT(ret)
     !! Get a scalar `INTEGER` value from given argument
-    !! If no error occured, the function always returns at least a value (whatever the parser's 
+    !! If no error occured, the function always returns at least a value (whatever the parser's
     !! state is) which is the default value if no specific values are set in the argument.
     !! Otherwise, `output` value is undefined.
@@ -2638,5 +2673,5 @@
   FUNCTION ac_get_cv_sc(this, output) RESULT(ret)
     !! Get a scalar `COMPLEX` value from given argument
-    !! If no error occured, the function always returns at least a value (whatever the parser's 
+    !! If no error occured, the function always returns at least a value (whatever the parser's
     !! state is) which is the default value if no specific values are set in the argument.
     !! Otherwise, `output` value is undefined.
@@ -2663,5 +2698,5 @@
   FUNCTION ac_get_sv_sc(this, output) RESULT(ret)
     !! Get a scalar `STRING` value from given argument
-    !! If no error occured, the function always returns at least a value (whatever the parser's 
+    !! If no error occured, the function always returns at least a value (whatever the parser's
     !! state is) which is the default value if no specific values are set in the argument.
     !! Otherwise, `output` status is undefined.
@@ -2685,5 +2720,5 @@
   FUNCTION ac_get_dv_ve(this, output) RESULT(ret)
     !! Get a vector of `REAL(kind=8)` values from given argument
-    !! If no error occured, the function always returns at least a value (whatever the parser's 
+    !! If no error occured, the function always returns at least a value (whatever the parser's
     !! state is) which is the default value if no specific values are set in the argument.
     !! Otherwise, `output` status is undefined.
@@ -2714,5 +2749,5 @@
   FUNCTION ac_get_rv_ve(this, output) RESULT(ret)
     !! Get a vector of `REAL(kind=4)` values from given argument
-    !! If no error occured, the function always returns at least a value (whatever the parser's 
+    !! If no error occured, the function always returns at least a value (whatever the parser's
     !! state is) which is the default value if no specific values are set in the argument.
     !! Otherwise, `output` status is undefined.
@@ -2743,5 +2778,5 @@
   FUNCTION ac_get_iv_ve(this, output) RESULT(ret)
     !! Get a vector of `INTEGER` values from given argument
-    !! If no error occured, the function always returns at least a value (whatever the parser's 
+    !! If no error occured, the function always returns at least a value (whatever the parser's
     !! state is) which is the default value if no specific values are set in the argument.
     !! Otherwise, `output` status is undefined.
@@ -2772,5 +2807,5 @@
   FUNCTION ac_get_lv_ve(this, output) RESULT(ret)
     !! Get a vector of `LOGICAL` values from given argument
-    !! If no error occured, the function always returns at least a value (whatever the parser's 
+    !! If no error occured, the function always returns at least a value (whatever the parser's
     !! state is) which is the default value if no specific values are set in the argument.
     !! Otherwise, `output` status is undefined.
@@ -2801,5 +2836,5 @@
   FUNCTION ac_get_cv_ve(this, output) RESULT(ret)
     !! Get a vector of `COMPLEX` values from given argument
-    !! If no error occured, the function always returns at least a value (whatever the parser's 
+    !! If no error occured, the function always returns at least a value (whatever the parser's
     !! state is) which is the default value if no specific values are set in the argument.
     !! Otherwise, `output` status is undefined.
@@ -2830,5 +2865,5 @@
   FUNCTION ac_get_sv_ve(this, output) RESULT(ret)
     !! Get a vector of `STRING` values from given argument
-    !! If no error occured, the function always returns at least a value (whatever the parser's 
+    !! If no error occured, the function always returns at least a value (whatever the parser's
     !! state is) which is the default value if no specific values are set in the argument.
     !! Otherwise, `output` status is undefined.
@@ -2872,5 +2907,5 @@
 
   FUNCTION apa2str(ap_a) RESULT(str)
-    !! Get the string representation of argparse actions constants 
+    !! Get the string representation of argparse actions constants
     INTEGER, INTENT(in) :: ap_a
      !! One of ap_store, ap_append,cap_count or ap_help module constants
@@ -2882,4 +2917,5 @@
       CASE(ap_count)  ; str = 'count'
       CASE(ap_help)   ; str = 'help'
+      CASE(ap_version); str = 'version'
       CASE DEFAULT    ; str = 'unknown'
     END SELECT
